﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace Dictee.Migrations
{
    public partial class init0 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Inscription",
                columns: table => new
                {
                    ID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    Campus = table.Column<string>(nullable: false),
                    Email = table.Column<string>(nullable: false),
                    Langue = table.Column<string>(nullable: false),
                    Naissance = table.Column<int>(nullable: false),
                    Nom = table.Column<string>(nullable: false),
                    NomEcole = table.Column<string>(nullable: true),
                    Prenom = table.Column<string>(nullable: false),
                    Profession = table.Column<string>(nullable: true),
                    Telephone = table.Column<string>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Inscription", x => x.ID);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Inscription");
        }
    }
}
